Bug 1780882

Summary: Review Request: simple-mail - SMTP library for Qt
Product: [Fedora] Fedora Reporter: Dakota Williams <raineforest>
Component: Package ReviewAssignee: Neal Gompa <ngompa13>
Status: CLOSED ERRATA QA Contact: Fedora Extras Quality Assurance <extras-qa>
Severity: medium Docs Contact:
Priority: unspecified    
Version: rawhideCC: ngompa13, package-review
Target Milestone: ---Flags: ngompa13: fedora-review+
Target Release: ---   
Hardware: All   
OS: Linux   
Whiteboard:
Fixed In Version: Doc Type: If docs needed, set a value
Doc Text:
Story Points: ---
Clone Of: Environment:
Last Closed: 2019-12-12 01:54:44 UTC Type: ---
Regression: --- Mount Type: ---
Documentation: --- CRM:
Verified Versions: Category: ---
oVirt Team: --- RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: --- Target Upstream Version:
Embargoed:
Bug Depends On:    
Bug Blocks: 1780885    

Description Dakota Williams 2019-12-08 07:25:17 UTC
Spec URL: https://copr-be.cloud.fedoraproject.org/results/raineforest/cutelyst/fedora-rawhide-x86_64/01126057-simple-mail/simple-mail.spec
SRPM URL: https://copr-be.cloud.fedoraproject.org/results/raineforest/cutelyst/fedora-rawhide-x86_64/01126057-simple-mail/simple-mail-1.4.0-1.fc32.src.rpm

Description:
simple-mail is a small library writen for Qt 5 (C++11 version)
that allows application to send complex emails (plain text, html,
attachments, inline files, etc.) using the Simple Mail Transfer
Protocol (SMTP).

Fedora Account System Username: raineforest

This is my first package. I need a sponsor as part of this review, please.

Koji build: https://koji.fedoraproject.org/koji/taskinfo?taskID=39459187

Comment 1 Neal Gompa 2019-12-08 07:39:36 UTC
Taking this review.

Comment 2 Neal Gompa 2019-12-08 07:59:59 UTC
Package Review
==============

Legend:
[x] = Pass, [!] = Fail, [-] = Not applicable, [?] = Not evaluated
[ ] = Manual review needed



===== MUST items =====

C/C++:
[x]: Package does not contain kernel modules.
[x]: Package contains no static executables.
[x]: If your application is a C or C++ application you must list a
     BuildRequires against gcc, gcc-c++ or clang.
[x]: Header files in -devel subpackage, if present.
[x]: ldconfig not called in %post and %postun for Fedora 28 and later.
[x]: Package does not contain any libtool archives (.la)
[x]: Rpath absent or only used for internal libs.
[x]: Development (unversioned) .so files in -devel subpackage, if present.

Generic:
[x]: Package is licensed with an open-source compatible license and meets
     other legal requirements as defined in the legal section of Packaging
     Guidelines.
[x]: License field in the package spec file matches the actual license.
     Note: Checking patched sources after %prep for licenses. Licenses
     found: "Unknown or generated", "GNU Lesser General Public License
     (v2.1 or later)", "GNU Lesser General Public License (v2 or later)",
     "GPL (v2 or later)". 18 files have unknown license. Detailed output of
     licensecheck in /home/makerpm/1780882-simple-mail/licensecheck.txt
[x]: License file installed when any subpackage combination is installed.
[x]: %build honors applicable compiler flags or justifies otherwise.
[x]: Package contains no bundled libraries without FPC exception.
[x]: Changelog in prescribed format.
[x]: Sources contain only permissible code or content.
[-]: Package contains desktop file if it is a GUI application.
[x]: Development files must be in a -devel package
[x]: Package uses nothing in %doc for runtime.
[x]: Package consistently uses macros (instead of hard-coded directory
     names).
[x]: Package is named according to the Package Naming Guidelines.
[x]: Package does not generate any conflict.
[x]: Package obeys FHS, except libexecdir and /usr/target.
[-]: If the package is a rename of another package, proper Obsoletes and
     Provides are present.
[x]: Requires correct, justified where necessary.
[x]: Spec file is legible and written in American English.
[-]: Package contains systemd file(s) if in need.
[x]: Useful -debuginfo package or justification otherwise.
[x]: Package is not known to require an ExcludeArch tag.
[-]: Large documentation must go in a -doc subpackage. Large could be size
     (~1MB) or number of files.
     Note: Documentation size is 10240 bytes in 1 files.
[x]: Package complies to the Packaging Guidelines
[x]: Package successfully compiles and builds into binary rpms on at least
     one supported primary architecture.
[x]: Package installs properly.
[x]: Rpmlint is run on all rpms the build produces.
     Note: There are rpmlint messages (see attachment).
[x]: If (and only if) the source package includes the text of the
     license(s) in its own file, then that file, containing the text of the
     license(s) for the package is included in %license.
[x]: Package requires other packages for directories it uses.
[x]: Package must own all directories that it creates.
[x]: Package does not own files or directories owned by other packages.
[x]: Package uses either %{buildroot} or $RPM_BUILD_ROOT
[x]: Package does not run rm -rf %{buildroot} (or $RPM_BUILD_ROOT) at the
     beginning of %install.
[x]: Macros in Summary, %description expandable at SRPM build time.
[x]: Dist tag is present.
[x]: Package does not contain duplicates in %files.
[x]: Permissions on files are set properly.
[x]: Package must not depend on deprecated() packages.
[x]: Package use %makeinstall only when make install DESTDIR=... doesn't
     work.
[x]: Package is named using only allowed ASCII characters.
[x]: Package does not use a name that already exists.
[x]: Package is not relocatable.
[x]: Sources used to build the package match the upstream source, as
     provided in the spec URL.
[x]: Spec file name must match the spec package %{name}, in the format
     %{name}.spec.
[x]: File names are valid UTF-8.
[x]: Packages must not store files under /srv, /opt or /usr/local

===== SHOULD items =====

Generic:
[-]: If the source package does not include license text(s) as a separate
     file from upstream, the packager SHOULD query upstream to include it.
[x]: Final provides and requires are sane (see attachments).
[x]: Fully versioned dependency in subpackages if applicable.
[x]: Package functions as described.
[x]: Latest version is packaged.
[x]: Package does not include license text files separate from upstream.
[x]: Patches link to upstream bugs/comments/lists or are otherwise
     justified.
[-]: Sources are verified with gpgverify first in %prep if upstream
     publishes signatures.
     Note: gpgverify is not used.
[-]: Description and summary sections in the package spec file contains
     translations for supported Non-English languages, if available.
[x]: Package should compile and build into binary rpms on all supported
     architectures.
[-]: %check is present and all tests pass.
[x]: Packages should try to preserve timestamps of original installed
     files.
[x]: Reviewer should test that the package builds in mock.
[x]: Buildroot is not present
[x]: Package has no %clean section with rm -rf %{buildroot} (or
     $RPM_BUILD_ROOT)
[x]: No file requires outside of /etc, /bin, /sbin, /usr/bin, /usr/sbin.
[x]: Packager, Vendor, PreReq, Copyright tags should not be in spec file
[x]: The placement of pkgconfig(.pc) files are correct.
[x]: Sources can be downloaded from URI in Source: tag
[x]: SourceX is a working URL.
[x]: Spec use %global instead of %define unless justified.

===== EXTRA items =====

Generic:
[x]: Rpmlint is run on debuginfo package(s).
     Note: There are rpmlint messages (see attachment).
[x]: Rpmlint is run on all installed packages.
     Note: There are rpmlint messages (see attachment).
[x]: Large data in /usr/share should live in a noarch subpackage if package
     is arched.
[x]: Spec file according to URL is the same as in SRPM.


Rpmlint
-------
Checking: simple-mail-1.4.0-1.fc32.x86_64.rpm
          simple-mail-devel-1.4.0-1.fc32.x86_64.rpm
          simple-mail-debuginfo-1.4.0-1.fc32.x86_64.rpm
          simple-mail-debugsource-1.4.0-1.fc32.x86_64.rpm
          simple-mail-1.4.0-1.fc32.src.rpm
simple-mail.x86_64: W: spelling-error %description -l en_US writen -> write, written, writes
simple-mail.x86_64: W: spelling-error %description -l en_US html -> HTML
simple-mail.x86_64: W: no-version-in-last-changelog
simple-mail-devel.x86_64: W: spelling-error %description -l en_US libsimplemail -> implementable
simple-mail-devel.x86_64: W: no-version-in-last-changelog
simple-mail-devel.x86_64: W: no-documentation
simple-mail-debuginfo.x86_64: W: no-version-in-last-changelog
simple-mail-debugsource.x86_64: W: no-version-in-last-changelog
simple-mail.src: W: spelling-error %description -l en_US writen -> write, written, writes
simple-mail.src: W: spelling-error %description -l en_US html -> HTML
simple-mail.src: W: no-version-in-last-changelog
5 packages and 0 specfiles checked; 0 errors, 11 warnings.




Rpmlint (debuginfo)
-------------------
Checking: simple-mail-debuginfo-1.4.0-1.fc32.x86_64.rpm
simple-mail-debuginfo.x86_64: W: no-version-in-last-changelog
1 packages and 0 specfiles checked; 0 errors, 1 warnings.





Rpmlint (installed packages)
----------------------------
simple-mail.x86_64: W: spelling-error %description -l en_US writen -> write, written, writes
simple-mail.x86_64: W: spelling-error %description -l en_US html -> HTML
simple-mail.x86_64: W: no-version-in-last-changelog
simple-mail.x86_64: W: invalid-url URL: https://github.com/cutelyst/simple-mail <urlopen error [Errno -2] Name or service not known>
simple-mail-debuginfo.x86_64: W: no-version-in-last-changelog
simple-mail-debuginfo.x86_64: W: invalid-url URL: https://github.com/cutelyst/simple-mail <urlopen error [Errno -2] Name or service not known>
simple-mail-devel.x86_64: W: spelling-error %description -l en_US libsimplemail -> implementable
simple-mail-devel.x86_64: W: no-version-in-last-changelog
simple-mail-devel.x86_64: W: invalid-url URL: https://github.com/cutelyst/simple-mail <urlopen error [Errno -2] Name or service not known>
simple-mail-devel.x86_64: W: no-documentation
simple-mail-debugsource.x86_64: W: no-version-in-last-changelog
simple-mail-debugsource.x86_64: W: invalid-url URL: https://github.com/cutelyst/simple-mail <urlopen error [Errno -2] Name or service not known>
4 packages and 0 specfiles checked; 0 errors, 12 warnings.



Source checksums
----------------
https://github.com/cutelyst/simple-mail/archive/v1.4.0/simple-mail-1.4.0.tar.gz :
  CHECKSUM(SHA256) this package     : df5aab66900ed5a897cdf1225ec1643412ccb382a89c7fb03fe7c6d34d4b89c3
  CHECKSUM(SHA256) upstream package : df5aab66900ed5a897cdf1225ec1643412ccb382a89c7fb03fe7c6d34d4b89c3


Requires
--------
simple-mail (rpmlib, GLIBC filtered):
    libQt5Core.so.5()(64bit)
    libQt5Core.so.5(Qt_5)(64bit)
    libQt5Core.so.5(Qt_5.12)(64bit)
    libQt5Network.so.5()(64bit)
    libQt5Network.so.5(Qt_5)(64bit)
    libc.so.6()(64bit)
    libgcc_s.so.1()(64bit)
    libgcc_s.so.1(GCC_3.0)(64bit)
    libstdc++.so.6()(64bit)
    libstdc++.so.6(CXXABI_1.3)(64bit)
    rtld(GNU_HASH)

simple-mail-devel (rpmlib, GLIBC filtered):
    /usr/bin/pkg-config
    cmake-filesystem(x86-64)
    libSimpleMailQt5.so.0()(64bit)
    pkgconfig(QtCore)
    simple-mail(x86-64)

simple-mail-debuginfo (rpmlib, GLIBC filtered):

simple-mail-debugsource (rpmlib, GLIBC filtered):



Provides
--------
simple-mail:
    libSimpleMailQt5.so.0()(64bit)
    simple-mail
    simple-mail(x86-64)

simple-mail-devel:
    cmake(simplemailqt5)
    pkgconfig(simplemail-qt5)
    simple-mail-devel
    simple-mail-devel(x86-64)

simple-mail-debuginfo:
    debuginfo(build-id)
    simple-mail-debuginfo
    simple-mail-debuginfo(x86-64)

simple-mail-debugsource:
    simple-mail-debugsource
    simple-mail-debugsource(x86-64)



Generated by fedora-review 0.7.4 (54fa030) last change: 2019-12-07
Command line :/usr/bin/fedora-review -b 1780882 -m fedora-rawhide-x86_64
Buildroot used: fedora-rawhide-x86_64
Active plugins: Shell-api, Generic, C/C++
Disabled plugins: PHP, Java, fonts, SugarActivity, R, Haskell, Ocaml, Python, Perl
Disabled flags: EPEL6, EPEL7, DISTTAG, BATCH, EXARCH

Comment 3 Neal Gompa 2019-12-08 08:02:54 UTC
The only relevant issue I see in the packaging is that the changelog doesn't fully follow the preferred format: https://docs.fedoraproject.org/en-US/packaging-guidelines/#changelogs

That can be fixed on import.

PACKAGE APPROVED.

Comment 4 Neal Gompa 2019-12-08 08:04:20 UTC
I have sponsored you into the packager group. Congratulations and welcome fellow packager!

Comment 5 Igor Raits 2019-12-08 08:16:15 UTC
(fedscm-admin):  The Pagure repository was created at https://src.fedoraproject.org/rpms/simple-mail

Comment 6 Fedora Update System 2019-12-11 21:03:17 UTC
FEDORA-2019-7d7731c7d4 has been submitted as an update to Fedora 31. https://bodhi.fedoraproject.org/updates/FEDORA-2019-7d7731c7d4

Comment 7 Fedora Update System 2019-12-12 01:54:44 UTC
simple-mail-1.4.0-1.fc31 has been pushed to the Fedora 31 stable repository. If problems still persist, please make note of it in this bug report.

Comment 8 Fedora Update System 2019-12-16 00:56:06 UTC
simple-mail-1.4.0-1.fc30 has been pushed to the Fedora 30 testing repository. If problems still persist, please make note of it in this bug report.
See https://fedoraproject.org/wiki/QA:Updates_Testing for
instructions on how to install test updates.
You can provide feedback for this update here: https://bodhi.fedoraproject.org/updates/FEDORA-2019-6b362887ff

Comment 9 Fedora Update System 2019-12-17 02:29:07 UTC
simple-mail-1.4.0-1.fc30 has been pushed to the Fedora 30 stable repository. If problems still persist, please make note of it in this bug report.